Introducing VIDA Identity Stack: All of VIDA, in one place 🎉
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Status Check API

The Status Check API is a feature provided by VIDA that enables partners to retrieve the current status of a specific identity verification request. Partners can use either the unique transactionId or the partnerTrxId, which is generated when the Fraud Assessment API is initially called, to check the progress or outcome of the assessment process. This allows for efficient tracking and monitoring of individual transactions in real-time.

Get Status by transactionId

GET /v2/services/fraud/{transactionId}/status

Path Parameters

Name
Type
Description

transactionId

String

Transaction ID that is produced on transaction request.

Headers

Name
Type
Description

Authorization*

String

OAuth access token. Get the token by calling the Get Access Token API

Content-Type

application/json

Format type of request body

Success Response

Success JSON Response
{
  "data": {
    "partnerTrxId": "{{as received in request}}",
    "groupId": "{{as received in request}}",
    "transactionType": "FULL_FRAUD_ASSESSMENT",
    "transactionId": "3282d003-c62c-4b7b-87e4-9d0a1bbf0c18",
    "status": "<code>"
  }
}

Get Status by partnerTrxId

GET /v2/services/fraud/partner/{partnerTrxId}/status

Path Parameters

Name
Type
Description

partnerTrxId

String

Unique identifier provided by the partner for the transaction.

Headers

Name
Type
Description

Authorization*

String

OAuth access token. Get the token by calling the Get Access Token API

Content-Type

application/json

Format type of request body

Response Format

Response JSON Format

Status Table

The status field provides detailed information about the current state of the fraud transaction. It may contain the following values:

Status
Description

001

The fraud assessment is in progress

002

The fraud assessment transaction is submitted for manual review

003

The fraud assessment result is accepted and the certificate issued after manual review

004

The fraud assessment result is rejected and the certificate have been not issued after manual review

006

The certificate not issued

007

Certificate is issued

Last updated